Bug 495950 - Review Request: safecopy - Safe copying of files and partitions
Review Request: safecopy - Safe copying of files and partitions
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Susi Lehtola
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-15 13:10 EDT by Fabian Affolter
Modified: 2014-09-30 11:34 EDT (History)
4 users (show)

See Also:
Fixed In Version: 1.2-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-06 19:30:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
susi.lehtola: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2009-04-15 13:10:51 EDT
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/safecopy.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/safecopy-1.2-1.fc10.src.rpm

Project URL: http://safecopy.sourceforge.net/

Description:
safecopy is a data recovery tool which tries to extract as much data
as possible from a problematic (i.e. damaged sectors) source - like
floppy drives, harddisk partitions, CDs, tape devices, ..., where
other tools like dd would fail doe to I/O errors. 

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1300628

rpmlint output:
[fab@laptop24 i386]$ rpmlint safecopy*
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

[fab@laptop24 SRPMS]$ rpmlint safecopy-1.2-1.fc10.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Susi Lehtola 2009-04-16 08:25:05 EDT
rpmlint output is clean.


MUST: The package does not yet exist in Fedora. The Review Request is not a duplicate. OK
MUST: The spec file for the package is legible and macros are used consistently. OK
MUST: The package must be named according to the Package Naming Guidelines. OK
MUST: The spec file name must match the base package %{name}. OK
MUST: The package must be licensed with a Fedora approved license and meet the  Licensing Guidelines. OK

MUST: The License field in the package spec file must match the actual license. NEEDSFIX
- Source code contains no license headers.
- According to README: "Copyright 2009, distributed under terms of the GPL"
- Attached COPYING is GPLv2.

According to http://fedoraproject.org/wiki/Licensing the correct license tag in this case is GPL+. Please contact upstream, if this is what they intended.

MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. OK
MUST: The package MUST successfully compile and build into binary rpms. OK
MUST: The spec file MUST handle locales properly. OK
MUST: Optflags are used and time stamps preserved. OK
MUST: Packages containing shared library files must call ldconfig. OK
MUST: A package must own all directories that it creates or require the package that owns the directory. OK
MUST: Files only listed once in %files listings. OK
MUST: Permissions on files must be set properly. OK
MUST: Clean section exists. OK
MUST: Large documentation files must go in a -doc subpackage. OK

MUST: All relevant items are included in %doc. Items in %doc do not affect runtime of application. NEEDSFIX
- Add COPYING to %doc. Drop webpage/ and just include webpage/index.html.

MUST: Header files must be in a -devel package. OK
MUST: Static libraries must be in a -static package. OK
MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'. OK
MUST: If a package contains library files with a suffix then library files ending in .so must go in a -devel package. OK
MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency. OK
MUST: Packages does not contain any .la libtool archives. OK
MUST: Desktop files are installed properly. OK
MUST: No file conflicts with other packages and no general names. OK
MUST: Buildroot cleaned before install. OK
SHOULD: %{?dist} tag is used in release. OK
SHOULD: If the package does not include license text(s) as separate files from upstream, the packager should query upstream to include it. OK
SHOULD: The package builds in mock. OK
Comment 2 Fabian Affolter 2009-04-16 18:45:46 EDT
Thanks for pointing my mistakes out.

(In reply to comment #1)
> NEEDSFIX
> - Source code contains no license headers.
> - According to README: "Copyright 2009, distributed under terms of the GPL"
> - Attached COPYING is GPLv2.
> 
> According to http://fedoraproject.org/wiki/Licensing the correct license tag in
> this case is GPL+. Please contact upstream, if this is what they intended.

https://sourceforge.net/tracker/?func=detail&aid=2769572&group_id=141056&atid=748328
Comment 3 Susi Lehtola 2009-04-17 04:09:47 EDT
Okay. To me the license issue seems quite clear, since the Licensing guidelines are quite specific on the matter.

I'll trust you to change the license to GPL+ [unless upstream makes a new release with a different license before that] and fix the %doc section issues upon CVS import.


APPROVED
Comment 4 Fabian Affolter 2009-04-17 16:05:52 EDT
Thanks again for the review.(In reply to comment #1)
> - Source code contains no license headers.
> - According to README: "Copyright 2009, distributed under terms of the GPL"
> - Attached COPYING is GPLv2.
> 
> According to http://fedoraproject.org/wiki/Licensing the correct license tag in
> this case is GPL+. Please contact upstream, if this is what they intended.

Changed

> MUST: All relevant items are included in %doc. Items in %doc do not affect
> runtime of application. NEEDSFIX
> - Add COPYING to %doc. Drop webpage/ and just include webpage/index.html.

Fixed
Comment 5 Fabian Affolter 2009-04-17 16:07:02 EDT
New Package CVS Request
=======================
Package Name: safecopy
Short Description: Safe copying of files and partitions
Owners: fab
Branches: F-9 F-10 F-11
InitialCC:
Comment 6 Kevin Fenzi 2009-04-17 17:44:09 EDT
cvs done.
Comment 7 Fedora Update System 2009-04-18 10:01:36 EDT
safecopy-1.2-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/safecopy-1.2-2.fc10
Comment 8 Fedora Update System 2009-04-18 10:01:40 EDT
safecopy-1.2-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/safecopy-1.2-2.fc9
Comment 9 Fedora Update System 2009-04-18 10:01:45 EDT
safecopy-1.2-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/safecopy-1.2-2.fc11
Comment 10 Fedora Update System 2009-04-21 20:52:12 EDT
safecopy-1.2-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update safecopy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-3783
Comment 11 Fedora Update System 2009-04-21 20:59:13 EDT
safecopy-1.2-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update safecopy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-3824
Comment 12 Fedora Update System 2009-05-06 19:30:05 EDT
safecopy-1.2-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2009-05-06 19:32:38 EDT
safecopy-1.2-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2009-05-25 17:11:14 EDT
safecopy-1.2-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fabian Affolter 2014-09-30 09:10:43 EDT
Package Change Request
======================
Package Name: safecopy
New Branches: epel7 el6
Owners: fab
InitialCC:
Comment 16 Gwyn Ciesla 2014-09-30 11:34:43 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.